libyaml-libyaml-perl_0.41-6_amd64.deb


Advertisement

Description

libyaml-libyaml-perl - Perl interface to libyaml, a YAML implementation

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libyaml-libyaml-perl
Package version: 0.41
Package release: 6
Package architecture: amd64
Package type: deb
Installed size: 167 B
Download size: 65.40 KB
Official Mirror: ftp.br.debian.org
YAML::LibYAML (or YAML::XS) is a Perl interface to Kirill Siminov's libyaml library, a YAML Ain't Markup Language (YAML) implementation written in C to support the YAML 1.1 specification. The provided Dump and Load routines are compatible with the Perl YAML module (see libyaml-perl).

Alternatives

    Download

    Source package: libyaml-libyaml-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libyaml-libyaml-perl deb package:
      # sudo apt-get install libyaml-libyaml-perl

    Files

    • /usr/lib/x86_64-linux-gnu/perl5/5.20/YAML/LibYAML.pm
    • /usr/lib/x86_64-linux-gnu/perl5/5.20/YAML/XS.pm
    • /usr/lib/x86_64-linux-gnu/perl5/5.20/YAML/XS/LibYAML.pm
    • /usr/lib/x86_64-linux-gnu/perl5/5.20/auto/YAML/XS/LibYAML/LibYAML.so
    • /usr/share/doc/libyaml-libyaml-perl/changelog.Debian.gz
    • /usr/share/doc/libyaml-libyaml-perl/changelog.gz
    • /usr/share/doc/libyaml-libyaml-perl/copyright
    • /usr/share/man/man3/YAML::XS.3pm.gz
    • /usr/share/man/man3/YAML::XS::LibYAML.3pm.gz

    Changelog

    2014-11-29 - Salvatore Bonaccorso <carnil@debian.org> libyaml-libyaml-perl (0.41-6) unstable; urgency=high * Team upload. * Add CVE-2014-9130.patch patch. Fix CVE-2014-9130: assertion failure caused by wrapped strings. (Closes: 771365)

    2014-03-23 - Salvatore Bonaccorso <carnil@debian.org> libyaml-libyaml-perl (0.41-5) unstable; urgency=high * Team upload. [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Salvatore Bonaccorso ] * Add CVE-2014-2525.patch patch. CVE-2014-2525: Heap overflow when parsing YAML tags. The heap overflow is caused by not properly expanding a string before writing to it in function yaml_parser_scan_uri_escapes in scanner.c.

    2014-02-23 - Salvatore Bonaccorso <carnil@debian.org> libyaml-libyaml-perl (0.41-4) unstable; urgency=medium * Team upload. * Add libyaml-string-overflow.patch patch. Addresses CVE-2013-6393 for the LibYAML embedded copy in YAML::LibYAML. * Add libyaml-node-id-hardening.patch patch. Guard against integer overflow. * Add libyaml-guard-against-overflows-in-indent-and-flow_level.patch patch. Guard against overflows in indent and flow_level.

    2014-02-10 - Salvatore Bonaccorso <carnil@debian.org> libyaml-libyaml-perl (0.41-3) unstable; urgency=medium * Team upload. * Revert applying libyaml-node-id-hardening.patch patch, libyaml-indent-column-overflow-v2.patch and libyaml-string-overflow.patch patch as this uncovered a regression on libyaml's side, discovered when rebuilding the packages with build-dependency on libyaml-libyaml-perl.

    2014-02-09 - Salvatore Bonaccorso <carnil@debian.org> libyaml-libyaml-perl (0.41-2) unstable; urgency=medium * Team upload. * Add libyaml-string-overflow.patch patch. Addresses CVE-2013-6393 for the LibYAML embedded copy in YAML::LibYAML. * Add libyaml-indent-column-overflow-v2.patch. Addresses regression for the initial patch for CVE-2013-6393. * Add libyaml-node-id-hardening.patch patch. Guard against integer overflow. * Declare compliance with Debian Policy 3.9.5

    2013-10-11 - gregor herrmann <gregoa@debian.org> libyaml-libyaml-perl (0.41-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * New upstream release. * Update years of copyright. * Add patch to disable maintainer helper script. * Drop build dependency on not (yet) used libyaml-dev. * Declare compliance with Debian Policy 3.9.4.

    2012-03-16 - gregor herrmann <gregoa@debian.org> libyaml-libyaml-perl (0.38-3) unstable; urgency=low * Document copyright and license for embedded libyaml. Thanks to Niko Tyni for spotting. (Closes: #664196) * Bump debhelper build dependency to 9.20120312 to get all hardening flags. * Fix a grammatical error in the long description.

    2012-03-10 - Niko Tyni <ntyni@debian.org> libyaml-libyaml-perl (0.38-2) unstable; urgency=medium * Team upload. [ Julián Moreno Patiño ] * Enable hardening flags. (Closes: #661548) + Switch compat level 8 to 9. + Add fix_ftbfs_hardening_flags.diff patch. + Bump debhelper version to 9. * Bump Standards-Version to 3.9.3. + Update to DEP5 copyright-format 1.0. + Add /me to debian copyright. [ Niko Tyni ] * Note that this fixes CVE-2012-1152. * Upload at urgency=medium

    2012-01-10 - gregor herrmann <gregoa@debian.org> libyaml-libyaml-perl (0.38-1) unstable; urgency=low * New upstream release. * Update copyright years.

    2011-10-01 - gregor herrmann <gregoa@debian.org> libyaml-libyaml-perl (0.37-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ gregor herrmann ] * New upstream release. * Update copyright years for inc/Module/*. * Add /me to Uploaders.

    Advertisement
    Advertisement